Package org.apache.storm.redis.common.container

## Interface JedisCommandsContainer

- All Superinterfaces:
    `AutoCloseable`, `Closeable`
  All Known Implementing Classes:
    `JedisClusterContainer`, `JedisContainer`

      public interface JedisCommandsContainer
      extends Closeable

  Interfaces for containers which stores instances implementing JedisCommands.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Release Container.
    `Boolean` | `exists​(String key)` |
    `Long` | `geoadd​(String key, double longitude, double latitude, String member)` |
    `List<redis.clients.jedis.GeoCoordinate>` | `geopos​(String key, String... members)` |
    `String` | `get​(String key)` |
    `Boolean` | `hexists​(String key, String field)` |
    `String` | `hget​(String key, String field)` |
    `Long` | `hset​(String key, String field, String value)` |
    `String` | `lpop​(String key)` |
    `Long` | `pfadd​(String key, String... elements)` |
    `long` | `pfcount​(String key)` |
    `Long` | `rpush​(String key, String... string)` |
    `Long` | `sadd​(String key, String... member)` |
    `Long` | `scard​(String key)` |
    `String` | `set​(String key, String value)` |
    `Boolean` | `sismember​(String key, String member)` |
    `Long` | `zadd​(String key, double score, String member)` |
    `Long` | `zrank​(String key, String member)` |
    `Double` | `zscore​(String key, String member)` |

- - ### Method Detail

    - #### exists

          Boolean exists​(String key)

    - #### get

          String get​(String key)

    - #### hget

          String hget​(String key,
                      String field)

    - #### geoadd

          Long geoadd​(String key,
                      double longitude,
                      double latitude,
                      String member)

    - #### geopos

          List<redis.clients.jedis.GeoCoordinate> geopos​(String key,
                                                         String... members)

    - #### hexists

          Boolean hexists​(String key,
                          String field)

    - #### hset

          Long hset​(String key,
                    String field,
                    String value)

    - #### lpop

          String lpop​(String key)

    - #### pfadd

          Long pfadd​(String key,
                     String... elements)

    - #### pfcount

          long pfcount​(String key)

    - #### rpush

          Long rpush​(String key,
                     String... string)

    - #### sadd

          Long sadd​(String key,
                    String... member)

    - #### scard

          Long scard​(String key)

    - #### set

          String set​(String key,
                     String value)

    - #### sismember

          Boolean sismember​(String key,
                            String member)

    - #### zadd

          Long zadd​(String key,
                    double score,
                    String member)

    - #### zrank

          Long zrank​(String key,
                     String member)

    - #### zscore

          Double zscore​(String key,
                        String member)

    - #### close

          void close()

      Release Container.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`